# RPM specfile for libgnomeprintui22 module
# Generated Tue Sep 23 19:35:40 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.5 2003/07/31 17:23:29 thunder Exp $
# from $Id: ximian-build.conf,v 1.4 2003/06/12 19:39:52 dobey Exp $

%define nam	libgnomeprintui22
%define ver	2.2.1.3
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	libgnomeprintui22
Version: 	2.2.1.3
Release:	0.ximian.1.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Solaris 8 / SPARC
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.gnome.org/
Source0:	libgnomeprintui-2.2.1.3.tar.bz2
BuildRequires:	libgnomeprint22-devel >= 2.2.1.3
Summary:	GNOME base library
Group:		System Environment/Libraries
Provides:	ximian-libgnomeprintui22 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome package includes
non-GUI-related libraries that are needed to run GNOME. The libgnomeui
package contains X11-dependent GNOME library features.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/opt/gnome/lib/lib*.so.*
/opt/gnome/*/locale/*/LC_MESSAGES/*


%post
/bin/true

%postun
/bin/true

%package -n libgnomeprintui22-devel
Summary:	Libraries and headers for libgnome
Group:		Development/Libraries
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libgnomeprint22-devel >= 2.2.1.3
Provides:	ximian-libgnomeprintui22-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgnomeprintui22-devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnome-devel package
includes the libraries and include files that you will need to
use libgnome.

You should install the libgnome-devel package if you would like to
compile GNOME applications. You do not need to install libgnome-devel
if you just want to use the GNOME desktop environment.

%files -n libgnomeprintui22-devel
%defattr(-, root, root)
/opt/gnome/lib/pkgconfig/*
/opt/gnome/lib/lib*.so
/opt/gnome/lib/*.a
/opt/gnome/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libgnomeprintui-2.2.1.3
    ;;
all)
%setup  -q -n libgnomeprintui-2.2.1.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/opt/gnome/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Sep 23 2003 Ximian, Inc.

- Version: 2.2.1.3-0.ximian.1.1
- Summary: New build.
- New automated build.

